unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, lmdctrl, lmdbtn;

type
  TDebugForm = class(TForm)
    GroupBox1: TGroupBox;
    ObjsMem: TLabel;
    ObjsFree: TLabel;
    LMDSpeedButton1: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DebugForm: TDebugForm;

implementation

{$R *.DFM}
uses unit1;

procedure TDebugForm.FormCreate(Sender: TObject);
begin
left:=0; top:=0;
end;

procedure TDebugForm.FormShow(Sender: TObject);
var i,c : integer;
begin
objsmem.caption:='Objs allocted:'+inttostr(length(game.objs));
c:=0;
for i:=0 to length(game.objs)-1 do
 if game.objs[i].typo=0 then inc(c);
objsfree.caption:='Free:'+inttostr(c);
mainform.SetFocus;
end;

procedure TDebugForm.FormKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
hide;
end;

procedure TDebugForm.BitBtn1Click(Sender: TObject);
begin
  with game do
  begin
    objs[myhandle].typo:=1;
    if objs[myhandle].yy>level.info.height*32 then
    begin
      objs[myhandle].yy:=level.info.height*32;
      objs[myhandle].vy:=-40;
    end;
  end;
end;

end.
